#
# spec file for package thttpd (Version 2.20b)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         thttpd
Copyright:    X11/MIT
Group:        Networking/Daemons
Provides:     http_daemon 
Conflicts:    apache roxen aolserv
Autoreqprov:  on
Version:      2.20b
Release:      109
Source:       %{name}-%{version}.tar.bz2
Source1:      %{name}-SuSE.tar.bz2
Patch0:       %{name}-%{version}-configure.patch
Patch1:       %{name}-%{version}-dirs.patch
Patch2:       %{name}-%{version}-time_h.patch
Patch3:       %{name}-%{version}-newautoconf.patch  
URL:          http://www.acme.com/software/thttpd/
BuildRoot:    %{_tmppath}/%{name}-root
Summary:      Small and very simple webserver

%description
Thttpd is a very compact no-frills httpd serving daemon that can handle
very high loads.  While lacking many of the advanced features of
Roxen or Apache, thttpd operates without forking and is extremely efficient in
memory use.  Basic support for cgi scripts, authentication, and ssi is
provided for.  Advanced features include the ability to throttle traffic.

Authors:
--------
    jef@acme.com

SuSE series: n

%prep
%setup -a 1
%patch0
%patch1
%patch2
%patch3
%{suse_update_config}

%build
%define prefix   /usr
%define sysconfdir /etc
libtoolize --force
aclocal
autoconf
V_CCOPT="$RPM_OPT_FLAGS" \
./configure --mandir=%{_mandir} \
                --prefix=%{prefix} \
                --infodir=%{_infodir} \
                --sysconfdir=%{sysconfdir}
make

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/usr/bin \
	   $RPM_BUILD_ROOT/usr/sbin \
           $RPM_BUILD_ROOT/%{_mandir}/man1 \
           $RPM_BUILD_ROOT/%{_mandir}/man8 \
           $RPM_BUILD_ROOT/usr/local/httpd/htdocs/users
make DESTDIR=$RPM_BUILD_ROOT/ install
cp -a SuSE/* $RPM_BUILD_ROOT
sed "s@SUSE-RELEASE@`cat /etc/SuSE-release|head -1`@;s@THTTPD-RELEASE@%{version}@" \
     $RPM_BUILD_ROOT/usr/local/httpd/htdocs/index.html.template > \
     $RPM_BUILD_ROOT/usr/local/httpd/htdocs/index.html

%post
echo "Updating etc/rc.config..."
if [ -x bin/fillup ] ; then
  bin/fillup -q -d = etc/rc.config var/adm/fillup-templates/rc.config.thttpd
else
  echo "ERROR: fillup not found. This should not happen. Please compare"
  echo "etc/rc.config and var/adm/fillup-templates/rc.config.thttpd and"
  echo "update by hand."
fi
sbin/insserv etc/init.d/thttpd

%postun
sbin/insserv etc/init.d/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc README README.SuSE config.h
/usr/local/httpd/htdocs/cgi-bin
/usr/local/httpd/htdocs/gif
%attr(775, root, wwwadmin) /usr/local/httpd/htdocs/users
%config /usr/local/httpd/htdocs/index.html
%attr(2755, root, wwwadmin) /usr/bin/makeweb
/usr/bin/htpasswd
/usr/sbin/*
/usr/share/man/*/*
%config /etc/init.d/thttpd
/var/adm/fillup-templates/*

%changelog -n thttpd
* Fri Sep 21 2001 - bjacke@suse.de
- fix version on template webpage
* Mon Sep 03 2001 - adostal@suse.cz
- fix /etc/init.d in thttpd-SuSE.tar.bz2 files
- split patches on configure, dirs, time_h and newautoconf
* Thu Jun 14 2001 - adostal@suse.cz
- fix for new autoconf
* Fri Apr 13 2001 - nadvornik@suse.cz
- changed initscript according to skeleton
* Thu Mar 08 2001 - nadvornik@suse.cz
- compiled with RPM_OPT_FLAGS
* Thu Feb 15 2001 - nadvornik@suse.cz
- fixed to compile
* Wed Dec 13 2000 - smid@suse.cz
- generatig of default page moved to %%install (it was in %%post and
- caused [#4566]
* Tue Dec 12 2000 - smid@suse.cz
- default cgibin pattern changed [#4564]
- rcthttpd link added
* Sun Dec 03 2000 - smid@suse.cz
- new version: 2.20b
* Fri Dec 01 2000 - ro@suse.de
- moved init-script
* Thu Nov 02 2000 - smid@suse.cz
- fix ugly bug in startup scripts
* Thu Sep 28 2000 - smid@suse.cz
- new version: 2.20
* Wed Aug 30 2000 - smid@suse.cz
- fix bug in startup script
* Wed Jul 05 2000 - mha@suse.de
- new version: 2.19
* Tue May 23 2000 - smid@suse.cz
- buildroot fixed
* Wed May 03 2000 - smid@suse.cz
- buildroot added
* Tue Mar 21 2000 - mha@suse.de
- update to 2.16
* Fri Mar 03 2000 - uli@suse.de
- moved man pages to %%{_mandir}
* Mon Feb 28 2000 - mha@suse.de
- new version: 2.15
* Thu Feb 17 2000 - dipa@suse.de
- bug #1268 rc.config variable set to no
* Wed Jan 12 2000 - mha@suse.de
- new version: 2.11
- new conflicts (roxen, apache, aolserv), provides (http_daemon)
- new homepage
* Tue Nov 16 1999 - kukuk@suse.de
- Fix stack overflow
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu Sep 09 1999 - bs@suse.de
- fixed call of Check at the end of %%install section
* Sun Jul 11 1999 - mha@suse.de
- new package: thttpd (a _small_ webserver)
  absolutely no configuration needed - and yet save (chroot)!
